summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_ntlm_auth_s3.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2011-04-15 16:39:53 +1000
committerAndrew Bartlett <abartlet@samba.org>2011-04-16 11:43:04 +0200
commit1870d254956ec56b8116a923adc38f8aae675963 (patch)
tree052f3b9f9966b143563678066d3f2c63d3975d77 /source3/script/tests/test_ntlm_auth_s3.sh
parent48bb69ef001be8270ddf145fa4884a2c5ddc2645 (diff)
downloadsamba-1870d254956ec56b8116a923adc38f8aae675963.tar.gz
samba-1870d254956ec56b8116a923adc38f8aae675963.tar.bz2
samba-1870d254956ec56b8116a923adc38f8aae675963.zip
selftest Add binary mappings for samba3 selftest
This will help us have a top level 'make test', working around the fact that the --eanble-s3build has different names for some of these binaries, without fixing the names forever (we can just change the mapping later). Andrew Bartlett
Diffstat (limited to 'source3/script/tests/test_ntlm_auth_s3.sh')
-rwxr-xr-xsource3/script/tests/test_ntlm_auth_s3.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/source3/script/tests/test_ntlm_auth_s3.sh b/source3/script/tests/test_ntlm_auth_s3.sh
index 99b2ab3f14..783ac03209 100755
--- a/source3/script/tests/test_ntlm_auth_s3.sh
+++ b/source3/script/tests/test_ntlm_auth_s3.sh
@@ -2,14 +2,15 @@
if [ $# -lt 2 ]; then
cat <<EOF
-Usage: test_ntlm_auth_s3.sh PYTHON SRC3DIR
+Usage: test_ntlm_auth_s3.sh PYTHON SRC3DIR NTLM_AUTH
EOF
exit 1;
fi
PYTHON=$1
SRC3DIR=$2
-shift 2
+NTLM_AUTH=$3
+shift 3
ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
@@ -17,9 +18,9 @@ incdir=`dirname $0`/../../../testprogs/blackbox
failed=0
-testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth $ADDARGS || failed=`expr $failed + 1`
+testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH $ADDARGS || failed=`expr $failed + 1`
# This should work even with NTLMv2
-testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth $ADDARGS --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
+testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH $ADDARGS --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
testok $0 $failed